DB Manager, python error when scrolling table of a view

2013-06-24 07:55 AM - Giovanni Manghi

Status: Closed

Priority: High

Assignee:

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 16977

Description

In DB Manager I created a few views with quite a lot of records (thousands, tens of thousands) and when I open the "table" tab and scroll

quickly the table I constantly get

Traceback (most recent call last):

  File "C:/OSGeo4W/apps/qgis-dev/./python/plugins\\db_manager\\db_plugins\\data_model.py", line 60, in data

    val = self.getData(index.row(), index.column())

  File "C:/OSGeo4W/apps/qgis-dev/./python/plugins\\db_manager\\db_plugins\\data_model.py", line 116, in getData

    self.fetchMoreData(start)

  File "C:/OSGeo4W/apps/qgis-dev/./python/plugins\\db_manager\\db_plugins\\postgis\\data_model.py", line 76, in fetchMoreData

    return self.fetchMoreData(row_start)

  File "C:/OSGeo4W/apps/qgis-dev/./python/plugins\\db_manager\\db_plugins\\postgis\\data_model.py", line 70, in fetchMoreData

    self._createCursor()

  File "C:/OSGeo4W/apps/qgis-dev/./python/plugins\\db_manager\\db_plugins\\postgis\\data_model.py", line 49, in _createCursor

    self.db._execute(self.cursor, sql)

  File "C:/OSGeo4W/apps/qgis-dev/./python/plugins\\db_manager\\db_plugins\\connector.py", line 84, in _execute

    raise DbError(e, sql)

DbError: Error:

current transaction is aborted, commands ignored until end of transaction block

History

#1 - 2013-07-14 08:25 AM - Daniel Vaz

Please can you provide the dataset and views that you used in order to reproduce this bug?

Thanks in advance

#2 - 2013-07-14 11:39 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Open to Closed

I cannot replicate it anymore, I will reopen this ticket if necessary.
